<div class="btn-group btn-group-sm mt-3" role="group" aria-label="Basic example">
  <button class="btn btn-sm btn-outline-primary" (click)="getPdf()">
    <i class="far fa-file-pdf"></i> PDF exportieren
  </button>
  <button class="btn btn-sm btn-outline-primary" (click)="getCsv()">
    <i class="far fa-file-excel"></i> Csv exportieren
  </button>
</div>
<table class="table mt-3 table-responsive-md table-sm" *ngIf="announcements && target">
  <caption *ngIf="mode=='eventgroup'">Zeigt alle An- und Abgemeldeten Benutzer für die Probenphase</caption>
  <caption *ngIf="mode=='project'">Zeigt alle An- und Abgemeldeten Benutzer für das Projekt</caption>
  <thead>
  <tr>
    <th>Name</th>
    <ng-container *ngIf="mode=='eventgroup'">
      <th *ngIf="eventgroup.eatingHabits">Essgewohnheiten</th>
      <th *ngIf="eventgroup.roomWish">Raumwunsch</th>
      <th *ngIf="eventgroup.allergy">Allergien</th>
    </ng-container>
    <th>Kommentar</th>
    <th>Erstellt</th>
    <th>Geändert</th>
  </tr>
  </thead>
  <tbody>
  <tr *ngFor="let user of announcements">
    <td>{{user.firstName}} {{user.lastName}}</td>
    <ng-container *ngIf="mode=='eventgroup'">
      <td *ngIf="eventgroup.eatingHabits && user.announcements[0].status">{{'eatingHabits.' + user.announcements[0].eatingHabits | translate}}</td>
      <td *ngIf="eventgroup.roomWish && user.announcements[0].status">{{'roomWish.' + user.announcements[0].roomWish | translate}}</td>
      <td *ngIf="eventgroup.allergy && user.announcements[0].status">{{user.announcements[0].allergy}}</td>
    </ng-container>
    <td *ngIf="user.announcements[0].status">{{user.announcements[0].comment}}</td>
    <td *ngIf="user.announcements[0].status">{{user.announcements[0].createdAt | date: 'short'}}</td>
    <td *ngIf="user.announcements[0].status">{{user.announcements[0].updatedAt | date: 'short'}}</td>
    <td *ngIf="!user.announcements[0].status" class="table-danger" colspan="3"><span class="text-danger">Benutzer ist von der Probenphase abgemeldet</span>
    </td>
  </tr>
  </tbody>
</table>